@import 'carbon_theme';
@import 'carbon-components/scss/globals/scss/_vars';
@import '@carbon/type/scss/type';

.card {
    margin: $spacing-05;
    padding: $spacing-05;
    background-color: $ui-background;
    width: 100%;

    display: flex;
    flex-direction: column;
}

.card-fill {
    height: 100%;
}

.card-title {
    @include carbon--type-style('productive-heading-03');
    padding-bottom: $spacing-05;
}

.card-subtitle {
    @include carbon--type-style('label-01');

    display: block;
    padding-bottom: $spacing-05;
}

.card-content {
    @include carbon--type-style('body-long-01');

    flex-grow: 1;
}

.card-content-short {
    @include carbon--type-style('body-short-01')
}

.card-content .bx--form .bx--form-item {
    margin-bottom: $spacing-07;
}